<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
version $Date: 2003/05/04 06:40:15 $

-->
<list>
    <category name="Utility">
        <project>
            <name>util-io</name>
            <package>net.sourceforge.groboutils.util.io.v1</package>
            <description>
            Groups of JDK 1.1 and 1.2 I/O helper classes.
            </description>
            <class>
                <name>File Filters</name>
                <description>
                Helper classes for generating filters for the java.io.File
                class.
                </description>
            </class>
            <class>
                <name>Input Stream Generators</name>
                <description>
                Classes which generate new IO Stream from a given relative URL.
                Example implementations are provided, including File, URL,
                Classpath Resource, and Hashtable.
                </description>
            </class>
            <class>
                <name>Mime Encoding Streams</name>
                <description>
                Input and Output streams for Mime encoded text.
                </description>
            </class>
            <class>
                <name>Read Stream</name>
                <description>
                Utilities for reading an entire stream in different formats.
                </description>
            </class>
            <class>
                <name>WriterOutputStream</name>
                <description>
                The basic JDK has classes which convert from an OutputStream to
                a Writer, but does not provide any implementation for the
                reverse. This class fills that gap.
                </description>
            </class>
            <class>
                <name>PropertyDatabase</name>
                <description>
                Has a concept of pre-defined properties, and user-defined
                properties. As many "internal" properties may be added to the
                database, but any properties the user sets will be stored in
                their own property file.
                </description>
            </class>
            <status>
            03-May-2003:
            Need to finish up tests and documentation before entering RC 1.
            </status>
        </project>
    </category>
</list>

